// Dmonstration de l'utilisation de la DLL LCD
// Marc BOUGET - 1998

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  curseur : boolean;


implementation

{$R *.DFM}
procedure LCD_Init(add : integer); stdcall; far; external 'I2C_Lcd.dll';
procedure LCD_Putchar(car : char) ; stdcall; far; external 'I2C_Lcd.dll';
procedure LCD_Print(texte : pointer); stdcall; far; external 'I2C_Lcd.dll';
procedure LCD_Pos(pos : byte); stdcall; far; external 'I2C_Lcd.dll';
procedure LCD_Cls; stdcall; far; external 'I2C_Lcd.dll';
procedure LCD_Curseur(cur : boolean); stdcall; far; external 'I2C_Lcd.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
Application.Terminate;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
LCD_Init(112);
curseur := false;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
LCD_Cls;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
aze : string;
begin
aze := Edit1.Text;
LCD_Print(@aze[1]);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
LCD_Pos(0);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
LCD_Pos(64);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
curseur := not curseur;
LCD_Curseur(curseur);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
If Timer1.Enabled = True then
   begin
   Timer1.enabled := False;
   Button7.Caption := 'Auto';
   end
else
   Begin
   Timer1.Enabled := True;
   Button7.Caption := 'Stop';
   Timer1Timer(Sender);
   end;

end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
aze : string;
begin
//LCD_Cls;
LCD_Pos(0);
aze := DateToStr(Date);
aze := aze + '     ' + TimeToStr(Time);
LCD_Print(@aze[1]);
end;

end.
